﻿<?xml version="1.0" encoding="UTF-8"?>
<!--
 *
 * Element definition for characteristic-value which can be set in
 * characteristic-specification which entity-specification or entity-offering
 * is using.
 *
 * atomic-product-offering
 *      name = "GMOne UNO Option Base Specification"
 *
 *      author Takito, Masaaki
 *
-->

<xsd:schema
	elementFormDefault="qualified"
	targetNamespace="https://gcm.ntt.com/api/xml-schema/v2/product/NTTGMOUNOBASE"
	xmlns:NTTGMOUNOBASE="https://gcm.ntt.com/api/xml-schema/v2/product/NTTGMOUNOBASE"
	xmlns:cbe="https://gcm.ntt.com/api/xml-schema/v2/common-business-entity"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<!-- Imports -->
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/common-business-entity"
			schemaLocation="http://localhost/api/xml-schema/v2/cbe-domain/cbe.xsd"/>

	<!--
	 *
	 *==========================================================================
	 * ■Element of CharacteristicValue
	 *==========================================================================
	 *
	-->
	<!-- ■GMONEADDSC (Element) substitution element -->
	<xsd:element name="GMONEADDSC" type="xsd:positiveInteger"
			substitutionGroup="cbe:base-value"/>

	<!-- ■UNOREPNNUM (Element) substitution element -->
	<xsd:element name="UNOREPNNUM" type="NTTGMOUNOBASE:RepresentativeNNumberVal"
			substitutionGroup="cbe:base-value"/>

	<!-- ■RepresentativeNNumberVal (Datatype) -->
	<xsd:simpleType name="RepresentativeNNumberVal">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:minLength value="1"/>
			<xsd:maxLength value="100"/>
		</xsd:restriction>
	</xsd:simpleType>

</xsd:schema>
